<!-- ##### SECTION Title ##### -->
Executing Applications

<!-- ##### SECTION Short_Description ##### -->
Execute preferred applications

<!-- ##### SECTION Long_Description ##### -->
<para>
  This module provides functions to execute certain kinds of applications,
  for which users can select their preferred ones. For example, whenever
  you need to run a command in a terminal emulator from within your
  application you should use exo_execute_terminal_shell() or
  exo_execute_terminal_shell_on_screen() to make sure you run the user's
  preferred terminal emulator.
</para>
<para>
  On the other hand if you need to display an URL (i.e. you want to point
  the user to the website of your application), you should use exo_url_show()
  or exo_url_show_on_screen() from the <link
  linkend="exo-Opening-URLs">exo-url</link> module instead, as they will
  try to automatically determine the appropriate viewer for a given URL.
</para>

<!-- ##### SECTION See_Also ##### -->
<para>
  <link linkend="exo-Opening-URLs">Opening URLs</link>
</para>

<!-- ##### SECTION Stability_Level ##### -->
Stable

<!-- ##### FUNCTION exo_execute_preferred_application ##### -->
<para>

</para>

@category: 
@parameter: 
@working_directory: 
@envp: 
@error: 
@Returns: 


<!-- ##### FUNCTION exo_execute_preferred_application_on_screen ##### -->
<para>

</para>

@category: 
@parameter: 
@working_directory: 
@envp: 
@screen: 
@error: 
@Returns: 


<!-- ##### FUNCTION exo_execute_terminal_shell ##### -->
<para>

</para>

@command_line: 
@working_directory: 
@envp: 
@error: 
@Returns: 


<!-- ##### FUNCTION exo_execute_terminal_shell_on_screen ##### -->
<para>

</para>

@command_line: 
@working_directory: 
@envp: 
@screen: 
@error: 
@Returns: 


